Support » Plugin: Integration Rede for WooCommerce » Error com a instalação do novo wordpress

  • Resolved gustavino

    (@gustavino)


    Ola
    Tenho um site que estou usando o plugin para receber pela Rede
    Ontem foi feito a atualização para a nova versão do wordpress
    Esses são as versões de software que estão instaladas

    WordPress versão 5.4.1
    Tema atual: Go (versão 1.2.6)
    Plugin atual: Rede WooCommerce (versão 1.0.0)
    PHP versão 7.4.2

    Hoje porem recebi um email com esse erro abaixo:
    Algume sabe do que se trata? ecomo faço para resolver?

    Detalhes do erro
    ================
    Um erro do tipo E_ERROR foi causado na linha 174 do arquivo /home/martinsarguello/public_html/loja/wp-content/plugins/rede-woocommerce/rede-woocommerce.php. Mensagem de erro: Uncaught Error: Call to undefined method WP_Post::get_id() in /home/martinsarguello/public_html/loja/wp-content/plugins/rede-woocommerce/rede-woocommerce.php:174
    Stack trace:
    #0 /home/martinsarguello/public_html/loja/wp-includes/class-wp-hook.php(287): update_rede_orders()
    #1 /home/martinsarguello/public_html/loja/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(”, Array)
    #2 /home/martinsarguello/public_html/loja/wp-includes/plugin.php(544): WP_Hook->do_action(Array)
    #3 /home/martinsarguello/public_html/loja/wp-cron.php(138): do_action_ref_array(‘update_rede_ord…’, Array)
    #4 {main}
    thrown

    The page I need help with: [log in to see the link]

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author MarcosAlexandre

    (@marcosalexandre)

    Olá,

    Imagino que a versão do plugin que você está utilizando é a que está aqui no repositório (2.0.0), correto? Qual sua versão do WooCommerce?

    Este aviso deve ter sido enviado quando a versão do WordPress do seu site foi atualizada, mas o plugin do WooCommerce ainda estava em uma versão antiga, correto?

    Tentei reproduzir o erro em um ambiente de testes com o WordPress 5.4.1, tema Storefront 2.5.5, plugin WooCommerce 4.0.1 e com meu plugin na versão 2.0.0 e não recebi o erro, além disso, as alterações no status do pedido ocorrem normalmente.

    Consegue me passar as informações acima e me dizer se está tendo problemas com as alterações de status dos pedidos?

    Plugin Author MarcosAlexandre

    (@marcosalexandre)

    Olá,

    Fiz um atualização que corrige este erro. Estou fechando o tópico, mas se precisar de alguma ajuda com este assunto, me avise 😉

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.